---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.5
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Получить обязательные поля очереди
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.ru/support/tracker/en/api-ref/queues/get-fields.md
  - https://yandex.ru/support/tracker/ru/api-ref/queues/get-fields.md
  - href: en/api-ref/queues/get-fields.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/tracker/en/llms.txt


# Getting required queue fields

Use this request to get information about required queue fields. The queue is selected when the ID or key is specified.

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/queues/&lt;queue_ID>/fields</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/api-ref/_assets/style/methods.md -->

<!-- endsource: en/api-ref/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.ru/support/tracker/en/api-ref/access.md).

To get required fields of a queue, use an HTTP `GET` request.

```
GET /v3/queues/<queue_ID>/fields
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/api-ref/_includes/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/api-ref/_includes/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/api-ref/_includes/authorization.md -->


* <!-- source: en/api-ref/_includes/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Identity Hub.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/api-ref/_includes/org-id.md -->


{% endcut %}
<!-- endsource: en/api-ref/_includes/headings.md -->

{% cut "Resource" %}

| Parameter | Description | Data type |
----- | ----- | -----
| \<queue_ID\> | Queue ID or key. The queue key is case-sensitive. | String or number |

{% endcut %}

> Example: Getting required `TEST` queue fields.
>
> - HTTP `GET` method is used.
>
> ```
> GET https://api.tracker.yandex.net/v3/queues/TEST/fields
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/api-ref/_includes/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/api-ref/_includes/answer-200.md -->

    ```json
    [
        {
            "self": "https://api.tracker.yandex.net/v3/fields/stand",
            "id": "stand",
            "name": "Bench",
            "version": 1361890459119,
            "schema": {
                "type": "string",
                "required": false
            },
            "readonly": false,
            "options": true,
            "suggest": false,
            "optionsProvider": {
                "type": "QueueFixedListOptionsProvider",
                "values": {
                    "DIRECT": [
                        "Not specified",
                        "Test",
                        "Developer",
                        "Beta",
                        "Production",
                        "Trunk"
                    ]
                },
                "defaults": [
                    "Not specified",
                    "Test",
                    "Developer",
                    "Beta",
                    "Production"
                ]
            },
            "queryProvider": {
                "type": "StringOptionalQueryProvider"
            },
            "order": 222
        },
        ....
    ]
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the field object. | String |
    | id | Field ID | String |
    | name | Field name | String |
    | version | Version number | Number |
    | [schema](#schema) | Object with information about the type of field content. | Map item |
    | readonly | Shows if the field is editable. The possible values include:<ul><li>`true`: The field is editable.</li><li>`false`: Non-editable.</li></ul> | Boolean |
    | options | Shows if there are options for filling in the field. | Boolean |
    | suggest | Shows if suggestions are available when filling in the field. | Boolean |
    | optionsProvider | Block with information about a set of possible field values. | Map item |
    | queryProvider | Information about the type of field for query requests. | Map item |
    | order | Weight of the field when displayed in the interface. Fields with a lower weight are displayed above fields with a higher weight. | Number |

    `schema` **object fields** {#schema}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | type | Type of field content. The possible values include:<ul><li>`float`: Numeric field.</li><li>`string`: Text field.</li></ul> | String |
    | required | Shows if the field is required. | Boolean |

    `optionsProvider` **object fields**

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | type | Information about the type of field for query requests | String |
    | values | Array with information about special values for queues | Map item |
    | defaults | Array of field values | Array |

    {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/api-ref/_includes/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/api-ref/_includes/answer-error-404.md -->

{% endlist %}
